ค้นหาฝ่ายสนับสนุน

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Netflix Error - F7355-1203

  • 16 การตอบกลับ
  • 0 คนมีปัญหานี้
  • ตอบกลับล่าสุดโดย mark545

more options

Hi,

I was using FF on Ubuntu 22.04.4 LTS. Had version FF 120.x and playing video in Netflix worked fine. Then I updated to FF 124.x and playing video stopped with error F7355-1203.

I've checked the DRM setting and it is enabled, I checked addons and I have OpenH264 and Widevine installed, both set to always active.

I've checked installed codecs and I do have libavcodec58 installed. No update for that available via apt. I also have ffmpeg installed, no problem with that either. I can play Netflix videos in Chrome, but not in Firefox now. Something happened to Firefox when I updated from 120.x to 124.x. Today I updated to 125.x, same problem, Netflix video won't play.

I've unchecked the DRM setting and re-checked it, and that does reinstalled Widevine but does not fix the problem.

Any ideas what could be the cause?

Hi, I was using FF on Ubuntu 22.04.4 LTS. Had version FF 120.x and playing video in Netflix worked fine. Then I updated to FF 124.x and playing video stopped with error F7355-1203. I've checked the DRM setting and it is enabled, I checked addons and I have OpenH264 and Widevine installed, both set to always active. I've checked installed codecs and I do have libavcodec58 installed. No update for that available via apt. I also have ffmpeg installed, no problem with that either. I can play Netflix videos in Chrome, but not in Firefox now. Something happened to Firefox when I updated from 120.x to 124.x. Today I updated to 125.x, same problem, Netflix video won't play. I've unchecked the DRM setting and re-checked it, and that does reinstalled Widevine but does not fix the problem. Any ideas what could be the cause?

เปลี่ยนแปลงโดย cor-el เมื่อ

วิธีแก้ปัญหาที่เลือก

The ESR version did not work either.

So I went back to FF 125.x. Then I discovered that if I update all snap packages the problem is resolved !

I noticed that ffmpeg was updated via the snap package updates, so that might have been the underlying issue.

I do NOT like the snap subsystem. Apt is much better.

อ่านคำตอบนี้ในบริบท 👍 0

การตอบกลับทั้งหมด (16)

more options

Additional detail: I've cleared the data cache in the browser and Netflix cookies too. Same problem persists.

มีประโยชน์หรือไม่

more options

More info: I've reset the default user agent in Firefox, and I don't have any plugins that should cause Netflix video to not play. I have 2 ad blockers installed, but both are disabled for Netflix.

มีประโยชน์หรือไม่

more options

Does it still happen with the flatpak package?

You will also need to install the ffmpeg flatpak that matches the Firefox runtime (23.08):

flatpak install org.freedesktop.Platform.ffmpeg-full//23.08

มีประโยชน์หรือไม่

more options

I don't know, I have not tried Flatpak. Why does it not work from the snap package?

มีประโยชน์หรือไม่

more options

Are you able to visit *redirector.gvt1.com*? It should show a 404 error message with a Google logo.

Try changing DNS over HTTPS (DoH) to "Off" or "Max Protection" and in Connection Settings change "Use system proxy settings" to "No proxy".

มีประโยชน์หรือไม่

more options

Checking the "redirector" site you linked I get a 404 as you mentioned.

I turned off DNS over HTTPS and that did not fix the problem.

I do not have any proxy set on the browser or this entire system.

มีประโยชน์หรือไม่

more options

Does it still happen in a new profile? An easy way to test a new profile is to install Developer Edition and see if it happens there or refresh your existing profile. Make sure you stay signed out of your sync account when testing.

มีประโยชน์หรือไม่

more options

I tried Troubleshoot mode and it does not work that way either. Wouldn't that be about the same as using a new profile?

มีประโยชน์หรือไม่

more options

No, Troubleshoot Mode only disables a few settings while a new profile is a clean slate. Installing the flatpak package is another way to test a new profile.

มีประโยชน์หรือไม่

more options

I created a new profile and started Firefox with that profile, same error even though the OpenH264 and Widevine plugins were installed and DRM enabled.

มีประโยชน์หรือไม่

more options

You can check the connection settings and check for possible issues with a Proxy or VPN service.

  • Settings -> General -> Network: Connection -> Settings

If you do not need to use a Proxy to connect to internet, select "No Proxy" if "Use the system proxy settings" or one of the others do not work properly.

See also:

มีประโยชน์หรือไม่

more options

I mentioned in a previous post that I do not have any proxy configured in the browser or the system in general. No proxy, no VPN, just straight to the Internet via the usual in-house router.

มีประโยชน์หรือไม่

more options

Do DRM protected videos work on other sites like https://bitmovin.com/demos/drm?

Did you try the flatpak package?

มีประโยชน์หรือไม่

more options

I tried the bitmoving site you linked, the video plays.

I also tried this one below clicking on videos that show that they use Windvine, those play too.

https://shaka-player-demo.appspot.com/demo/#audiolang=en-US;textlang=en-US;uilang=en-US;asset=https://storage.googleapis.com/shaka-demo-assets/sintel-widevine/dash.mpd;panel=ALL_CONTENT;build=uncompiled

I have not tried Flatpak. I have Firefox installed via Snap ever since Ubuntu switched the package to Snap. As I mentioned it worked great before I upgraded from v120.x to v124 and 125.

I do not understand why this happened.

มีประโยชน์หรือไม่

more options

Does it still happen with the ESR version (115)?

มีประโยชน์หรือไม่

more options

วิธีแก้ปัญหาที่เลือก

The ESR version did not work either.

So I went back to FF 125.x. Then I discovered that if I update all snap packages the problem is resolved !

I noticed that ffmpeg was updated via the snap package updates, so that might have been the underlying issue.

I do NOT like the snap subsystem. Apt is much better.

มีประโยชน์หรือไม่

ถามคำถาม

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.